--------------------------------------------------------
--  DDL for Trigger TRIG_INST_DEP_SCH_DETAIL
--------------------------------------------------------

  CREATE OR REPLACE EDITIONABLE TRIGGER "ENVX_OPER"."TRIG_INST_DEP_SCH_DETAIL" AFTER
	INSERT ON deployment_schedule_detail
	FOR EACH ROW
DECLARE
	v_job_accion VARCHAR2(4000);
	v_estado     NUMBER := 0;
	v_job_nombre VARCHAR2(100);
BEGIN
	IF :new.schedule_det_status = 1 THEN

		v_job_nombre := :new.schedule_job_name;

		v_job_accion := 'BEGIN sicd.pkg_deploy_coordinator.first_dep_queue(pi_job_name => '''|| v_job_nombre ||'''); END;';

		PKG_DEPLOY_COORDINATOR.p_genera_job(
            pi_job_nombre => v_job_nombre,
            pi_job_accion => v_job_accion,
            pi_job_tipo_frecuencia => :new.SCHEDULE_FEQUENCY,
            pi_job_fecha_inicio => to_timestamp(to_char(:new.SCHEDULE_INIT_DATE, 'DD/MM/YYYY HH24:MI'),'DD/MM/YYYY HH24:MI'),
            po_estado     => v_estado
        );

	END IF;
END;

/
ALTER TRIGGER "ENVX_OPER"."TRIG_INST_DEP_SCH_DETAIL" ENABLE;
